from fermiinstallclass import FermiInstallClass
import rhpl
from constants import *
from flags import flags
import os
import iutil
import types
import rpmUtils.arch

import logging
log = logging.getLogger("anaconda")


class InstallClass(FermiInstallClass):
    # name has underscore used for mnemonics, strip if you dont need it
    id = "novadaq"
    pixmap = "workstation.png"
    name = ("NOvA DAQ Workgroup")
                     
    sortPriority = 100

    def setInstallData(self, anaconda):
	FermiInstallClass.setInstallData(self, anaconda)

    def setGroupSelection(self, anaconda):
	# FermiInstallClass.setGroupSelection(self, anaconda);
	anaconda.backend.selectGroup("core")
        # anaconda.backend.selectGroup("base")
        anaconda.backend.selectGroup("fermi")
        anaconda.backend.selectGroup("novadaq")
        anaconda.backend.selectGroup("nova-extras")
        anaconda.backend.selectGroup("upsupdbootstrap")
        anaconda.backend.selectGroup("network-server")
        anaconda.backend.selectGroup("sql-server")
        anaconda.backend.selectGroup("web-server")
        anaconda.backend.selectGroup("server-cfg")
        anaconda.backend.selectGroup("emacs")
        anaconda.backend.selectGroup("eclipse")
        anaconda.backend.selectGroup("yum-utils")
        anaconda.backend.selectGroup("admin-tools")
        anaconda.backend.selectGroup("authoring-and-publishing")
        anaconda.backend.selectGroup("base-x")
        anaconda.backend.selectGroup("development-libs")
        anaconda.backend.selectGroup("development-tools")
        anaconda.backend.selectGroup("editors")
        anaconda.backend.selectGroup("gnome-desktop")
        anaconda.backend.selectGroup("graphical-internet")
        anaconda.backend.selectGroup("graphics")
        anaconda.backend.selectGroup("kde-desktop")
        anaconda.backend.selectGroup("printing")
        anaconda.backend.selectGroup("system-tools")
        anaconda.backend.selectGroup("openssh-server")
        anaconda.backend.selectPackage("SL_password_for_singleuser")
        anaconda.backend.selectPackage("yum")
        anaconda.backend.selectPackage("yum-conf")
        anaconda.backend.deselectPackage("nmap")
        anaconda.backend.deselectPackage("pcsc-lite")
        anaconda.backend.deselectPackage("pcsc-lite-libs")
        anaconda.backend.deselectPackage("ccid")
        anaconda.backend.deselectPackage("coolkey")
        anaconda.backend.deselectPackage("ifd-egate")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
#	dispatch.skipStep("partition")
  	dispatch.skipStep("tasksel")
  	dispatch.skipStep("group-selection", skip = 0)
	dispatch.skipStep("confirminstall", skip = 1)

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
        self.repopaths["workgroup"] = "%s/workgroups/NOvAdaq" %(productPath,)
